package com.gic.haoban.manage.api.dto;

import java.io.Serializable;

/**
 * @description: 通讯录许可数据总览
 * @Author: wenhua
 * @Date: 2023/1/30 20:28
 */
public class StaffActiveDataDTO implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    private String id;
    /**
     * wx企业id
     */
    private String wxEnterpriseId;
    /**
     * 已购买许可总数
     */
    private Integer purchased;
    /**
     * 已使用许可总数
     */
    private Integer used;
    /**
     * 未激活许可总数
     */
    private Integer inactive;
    /**
     * 待转移许可总数
     */
    private Integer transfer;
    /**
     * 已激活许可总数
     */
    private Integer activated;
    /**
     * 已过期许可总数
     */
    private Integer expired;
    /**
     * 其他占用许可总数
     */
    private Integer occupy;
    /**
     * 已合并许可总数
     */
    private Integer merged;
    /**
     * 即将过期的许可总数
     */
    private Integer expiring;

    public Integer getExpiring() {
        return expiring;
    }

    public void setExpiring(Integer expiring) {
        this.expiring = expiring;
    }

    public Integer getMerged() {
        return merged;
    }

    public void setMerged(Integer merged) {
        this.merged = merged;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getWxEnterpriseId() {
        return wxEnterpriseId;
    }

    public void setWxEnterpriseId(String wxEnterpriseId) {
        this.wxEnterpriseId = wxEnterpriseId;
    }

    public Integer getPurchased() {
        return purchased;
    }

    public void setPurchased(Integer purchased) {
        this.purchased = purchased;
    }

    public Integer getInactive() {
        return inactive;
    }

    public void setInactive(Integer inactive) {
        this.inactive = inactive;
    }

    public Integer getTransfer() {
        return transfer;
    }

    public void setTransfer(Integer transfer) {
        this.transfer = transfer;
    }

    public Integer getActivated() {
        return activated;
    }

    public void setActivated(Integer activated) {
        this.activated = activated;
    }

    public Integer getExpired() {
        return expired;
    }

    public void setExpired(Integer expired) {
        this.expired = expired;
    }

    public Integer getOccupy() {
        return occupy;
    }

    public void setOccupy(Integer occupy) {
        this.occupy = occupy;
    }

    public Integer getUsed() {
        return used;
    }

    public void setUsed(Integer used) {
        this.used = used;
    }
}
